Skip to main content
GET
List cost sheets

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id_in: Filter by cost sheet ID(s)
  • cost_centre: Filter by the ID of the node being costed
  • cost_centre_type: Filter by the type of the node being costed (scheme-contracts, schemes, work-orders, operations)
  • status: Filter by status (quoted, approved, completed)
  • created_at: Filter on when the sheet was created

Filter by cost_centre and cost_centre_type together to find the sheet for a particular work order or operation.

For more information on using named filters, see the docs

sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
status,
-status,
cost_centre_type,
-cost_centre_type,
created_at,
-created_at
limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

List of cost sheets.

JSON API response object

data
A list of cost sheets · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a cost sheet is returned